### Enumeration

# WebKit2 JavascriptError

#### Declaration

    error-domain WebKit2.JavascriptError

#### Description [src]

Enum values used to denote errors happening when executing JavaScript.

#### Members

`WEBKIT_JAVASCRIPT_ERROR_SCRIPT_FAILED`

  An exception was raised in JavaScript execution.

  - Value: `699`
  - Available since: 4.0
`WEBKIT_JAVASCRIPT_ERROR_INVALID_PARAMETER`

  An unsupported parameter has been used to call and async function from API. Since 2.40.

  - Value: `600`
  - Available since: 4.0
`WEBKIT_JAVASCRIPT_ERROR_INVALID_RESULT`

  The result of JavaScript execution could not be returned. Since 2.40.

  - Value: `601`
  - Available since: 4.0

#### Type functions

###### webkit_javascript_error_quark

Gets the quark for the domain of JavaScript errors.